# CamCap (C) 2017 Stephane Charette <stephanecharette@gmail.com>
# $Id: CM_package.cmake 2151 2017-02-11 05:12:28Z stephane $


SET ( CPACK_PACKAGE_VENDOR					"Stphane Charette"						)
SET ( CPACK_PACKAGE_CONTACT					"stephanecharette@gmail.com"			)
SET ( CPACK_PACKAGE_VERSION					${CAMCAP_VERSION}						)
SET ( CPACK_PACKAGE_VERSION_MAJOR			${CAMCAP_VER_MAJOR}						)
SET ( CPACK_PACKAGE_VERSION_MINOR			${CAMCAP_VER_MINOR}						)
SET ( CPACK_PACKAGE_VERSION_PATCH			${CAMCAP_VER_PATCH}						)
SET ( CPACK_RESOURCE_FILE_LICENSE			${CMAKE_CURRENT_SOURCE_DIR}/license.txt	)
SET ( CPACK_SYSTEM_NAME						"${CAMCAP_SYSTEM_NAME}"					)
SET ( CPACK_PACKAGE_NAME					"camcap"								)
SET ( CPACK_PACKAGE_DESCRIPTION_SUMMARY		"Camera Capture library and command-line tool" )
SET ( CPACK_PACKAGE_DESCRIPTION				"Camera Capture library and command-line tool" )
SET ( CPACK_DEBIAN_PACKAGE_SECTION			"other"									)
SET ( CPACK_DEBIAN_PACKAGE_PRIORITY			"optional"								)
SET ( CPACK_DEBIAN_PACKAGE_MAINTAINER		"Stphane Charette <stephanecharette@gmail.com>" )
SET ( CPACK_DEBIAN_PACKAGE_DEPENDS      	"libv4l-0, libv4lconvert0, jpegwrap"	)
SET ( CPACK_GENERATOR						"DEB"									)

SET ( CPACK_SOURCE_IGNORE_FILES				".svn" ".kdev4" "build"					)
SET ( CPACK_SOURCE_GENERATOR				"TGZ"									)


IF ( ${CAMCAP_CROSS_COMPILE_FOR_ARM7} OR ${CAMCAP_COMPILE_FOR_ARM7} )
	SET ( CPACK_DEBIAN_PACKAGE_ARCHITECTURE	"armhf" )
ENDIF ()

INCLUDE( CPack )
